Commit 6469e9ec authored by Sergei Golovan's avatar Sergei Golovan Committed by Sergei Golovan

* Execute tclsh8.5 instead of tclsh in expect scripts because tcl8.5

    will stop providing /usr/bin/tclsh.
parent 00eeda36
expect (5.45-4) UNRELEASED; urgency=low
expect (5.45-4) unstable; urgency=low
* NOT RELEASED YET
* Execute tclsh8.5 instead of tclsh in expect scripts because tcl8.5
will stop providing /usr/bin/tclsh.
-- Sergei Golovan <sgolovan@debian.org> Mon, 06 May 2013 13:39:31 +0400
-- Sergei Golovan <sgolovan@debian.org> Sun, 06 Oct 2013 09:00:38 +0400
expect (5.45-3) unstable; urgency=low
......
#!/usr/bin/make -f
v = 5.45
tclv = 8.5
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGS
%:
dh ${@}
......@@ -28,11 +26,11 @@ override_dh_auto_configure:
cp -fb /usr/share/misc/config.guess tclconfig/config.guess
cp -fb /usr/share/misc/config.sub tclconfig/config.sub
autoconf
dh_auto_configure -- --includedir=/usr/include/tcl8.5 \
--with-tcl=/usr/lib/tcl8.5 \
--with-tk=/usr/lib/tk8.5 \
--with-tclinclude=/usr/include/tcl8.5 \
--with-tkinclude=/usr/include/tcl8.5 \
dh_auto_configure -- --includedir=/usr/include/tcl$(tclv) \
--with-tcl=/usr/lib/tcl$(tclv) \
--with-tk=/usr/lib/tk$(tclv) \
--with-tclinclude=/usr/include/tcl$(tclv) \
--with-tkinclude=/usr/include/tcl$(tclv) \
--enable-shared \
--enable-threads \
--disable-rpath \
......@@ -46,7 +44,8 @@ override_dh_auto_install:
# Renaming expect scripts
for SCRIPT in debian/tmp/usr/bin/*; do \
if [ "`basename $$SCRIPT`" != "expect" ] ; then \
mv $$SCRIPT `dirname $$SCRIPT`/expect_`basename $$SCRIPT`; \
sed -e 's/^exec tclsh /exec tclsh$(tclv) /' $$SCRIPT >`dirname $$SCRIPT`/expect_`basename $$SCRIPT`; \
rm $$SCRIPT ; \
fi; \
done
for MANPAGE in debian/tmp/usr/share/man/man1/*; do \
......@@ -68,4 +67,5 @@ get-orig-source:
wget -O expect_$(v).orig.tar.gz \
http://prdownloads.sourceforge.net/expect/expect$(v).tar.gz
.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_install get-orig-source
.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build \
override_dh_auto_install override_dh_install get-orig-source
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment